<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.xdgf.usermodel (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.xdgf.usermodel (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xdgf/geom/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/section/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xdgf/usermodel/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.xdgf.usermodel</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFBaseContents.html"
                                            title="class in org.apache.poi.xdgf.usermodel">XDGFBaseContents</a></td>
                    <td class="colLast">
                        <div class="block">Container of shapes for a page in a Visio diagram.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
                                            title="class in org.apache.poi.xdgf.usermodel">XDGFCell</a></td>
                    <td class="colLast">
                        <div class="block">There are a lot of different cell types.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html"
                                            title="class in org.apache.poi.xdgf.usermodel">XDGFConnection</a></td>
                    <td class="colLast">
                        <div class="block">Represents connections in a Visio diagram.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
                                            title="class in org.apache.poi.xdgf.usermodel">XDGFDocument</a></td>
                    <td class="colLast">
                        <div class="block">Represents the root document: /visio/document.xml

                            You're probably actually looking for <a
                                    href="../../../../../org/apache/poi/xdgf/usermodel/XmlVisioDocument.html"
                                    title="class in org.apache.poi.xdgf.usermodel"><code>XmlVisioDocument</code></a>,
                            this
                            only contains metadata about the root document in the OOXML package.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFFactory.html"
                                            title="class in org.apache.poi.xdgf.usermodel">XDGFFactory</a></td>
                    <td class="colLast">
                        <div class="block">Instantiates sub-classes of POIXMLDocumentPart depending on their
                            relationship type
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFMaster.html"
                                            title="class in org.apache.poi.xdgf.usermodel">XDGFMaster</a></td>
                    <td class="colLast">
                        <div class="block">Provides the API to work with an underlying master.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFMasterContents.html"
                                            title="class in org.apache.poi.xdgf.usermodel">XDGFMasterContents</a></td>
                    <td class="colLast">
                        <div class="block">Contains the actual contents of the master/stencil</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFMasters.html"
                                            title="class in org.apache.poi.xdgf.usermodel">XDGFMasters</a></td>
                    <td class="colLast">
                        <div class="block">A collection of masters (typically stencils) in a Visio document</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFPage.html"
                                            title="class in org.apache.poi.xdgf.usermodel">XDGFPage</a></td>
                    <td class="colLast">
                        <div class="block">Provides the API to work with an underlying page</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFPageContents.html"
                                            title="class in org.apache.poi.xdgf.usermodel">XDGFPageContents</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFPages.html"
                                            title="class in org.apache.poi.xdgf.usermodel">XDGFPages</a></td>
                    <td class="colLast">
                        <div class="block">Contains a list of Page objects (not page content!)</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFPageSheet.html"
                                            title="class in org.apache.poi.xdgf.usermodel">XDGFPageSheet</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFRelation.html"
                                            title="class in org.apache.poi.xdgf.usermodel">XDGFRelation</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                            title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></td>
                    <td class="colLast">
                        <div class="block">A shape is a collection of Geometry Visualization, Format, Text, Images, and
                            Shape Data in a Drawing Page.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
                                            title="class in org.apache.poi.xdgf.usermodel">XDGFSheet</a></td>
                    <td class="colLast">
                        <div class="block">A sheet is a collection of properties that specify information for a shape,
                            master, drawing page, style, or web drawing.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFStyleSheet.html"
                                            title="class in org.apache.poi.xdgf.usermodel">XDGFStyleSheet</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFText.html"
                                            title="class in org.apache.poi.xdgf.usermodel">XDGFText</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xdgf/usermodel/XmlVisioDocument.html"
                                            title="class in org.apache.poi.xdgf.usermodel">XmlVisioDocument</a></td>
                    <td class="colLast">
                        <div class="block">This is your high-level starting point for working with Visio XML
                            documents (.vsdx).
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xdgf/geom/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/section/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xdgf/usermodel/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
